<?php
/**
 *
 * @author	Hj Ahmad Rasyid Hj Ismail "ahrasis"
 * @email	ahrasis@gmail.com
 * @link	https://sahabat.ahrasis.com
 * @license	BSD http://opensource.org/licenses/BSD-3-Clause
 * @addon	MPAAP: Modify Posts At Anytime Permission
 *
 */ 

if (!defined('ELK')) 
	die('Hacking attempt...');

function MPAAP_Outputs(&$output, &$message)
{	
	global $context, $modSettings, $user_info;
	
	// Unset current permission
	unset ($output['can_modify']);

	// Set a new permission
	$output['can_modify'] = (!$context['is_locked'] || allowedTo('moderate_board')) && (allowedTo('modify_any') || (allowedTo('modify_replies') && $context['user']['started']) || (allowedTo('modify_own') && $message['id_member'] == $user_info['id'] && (empty($modSettings['edit_disable_time']) || allowedTo('modify_anytime') || !$message['approved'] || $message['poster_time'] + $modSettings['edit_disable_time'] * 60 > time())));
}

function MPAAP_Texts()
{
	// Load language(s)
	loadLanguage('MPAAP/MPAAP');
}

function MPAAP_Permissions(&$permissionGroups, &$permissionList)
{
	// Add permission(s) for members
	$permissionList['board']['modify_anytime'] = array(false, 'post');
}